const fs = require('fs')
const path = require('path')
const chalk = require('chalk')
const packageJsonPrompt = require('./package-json-prompt')
const { log } = require('../log')

module.exports = targetDirectory => {
  log(chalk.cyan('Update package.json settings:\n'))
  return packageJsonPrompt(targetDirectory).then(packageJson => {
    fs.writeFileSync(
      path.resolve(targetDirectory, 'package.json'),
      JSON.stringify(packageJson, null, 2),
      'utf8'
    )
  })
}
